import { Column, CreateDateColumn, Entity, PrimaryGeneratedColumn } from 'typeorm';

@Entity('users')
export class UserEntity {
  @PrimaryGeneratedColumn('uuid')
  id!: string;

  @Column()
  firstName!: string;

  @Column()
  lastName!: string;

  @Column()
  isAdmin!: boolean;

  @Column()
  email!: string;

  @Column({ select: false })
  password?: string;

  @Column({ select: false })
  salt?: string;

  @Column()
  profileImagePath!: string;

  @Column()
  shouldChangePassword!: boolean;

  @CreateDateColumn()
  createdAt!: string;
}
